Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/local-post-ideas/trigger-pipeline

Trigger local pipeline

Triggers the full post-idea generation pipeline for a location. Returns a pipeline ID; poll Local pipeline status for progress.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Synup-VersionstringrequiredAPI version date (YYYY-MM-DD).

Body

NameTypeRequiredDescription
locationIdstringrequired

Request

Request
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/trigger-pipeline' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246MQ=="
}'

Responses

StatusDescription
200Successful response
401Unauthorized - Invalid or missing API key
Example response (generated from the schema)
{
  "data": {
    "triggerLocalPipeline": {
      "success": true,
      "pipelineId": "string",
      "error": {
        "message": "string",
        "code": "string",
        "contextInfo": [
          {
            "key": "string",
            "value": "string"
          }
        ]
      }
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.triggerLocalPipelineobjectoptional
data.triggerLocalPipeline.successbooleanoptional
data.triggerLocalPipeline.pipelineIdstringoptional
data.triggerLocalPipeline.errorobjectoptional
data.triggerLocalPipeline.error.messagestringoptional
data.triggerLocalPipeline.error.codestringoptional
data.triggerLocalPipeline.error.contextInfoarray of objectoptional
data.triggerLocalPipeline.error.contextInfo[].keystringoptional
data.triggerLocalPipeline.error.contextInfo[].valuestringoptional